<?php

class MFSDN_Shortcode_Controller {
    public function __construct(){
        add_action('admin_post_mfsdn_own_display_name', array($this, 'callback'));
        add_shortcode('custom_display_name', array($this, 'html'));
    }
    public function html(){
        $user = get_current_user_id();
        
        require_once MFSDN_VIEW . '/custom_display_name.php';
    }

    public function callback(){
        if( isset( $_POST['mfsdn_own_display_name_nonce'] ) && wp_verify_nonce( $_POST['mfsdn_own_display_name_nonce'], 'mfsdn_own_display_name_nonce') ) {
            if(!isset($_POST['custom-display-name']) || empty($_POST['custom-display-name'])){
                MFSDN_Helper::redirect($_SERVER['HTTP_REFERER'], 'error', 'Display Name cannot be empty!');
                exit;
            }

            $user = get_current_user_id();

            if(!get_user_meta($user, 'mfsdn-custom-display-name', true)){
                add_user_meta($user, 'mfsdn-custom-display-name', sanitize_text_field($_POST['custom-display-name']));
            }else{
                update_user_meta($user, 'mfsdn-custom-display-name', sanitize_text_field($_POST['custom-display-name']));
            }

            wp_update_user(array("ID" => $user, "display_name" => get_user_meta($user, 'mfsdn-custom-display-name', true)));

            MFSDN_Helper::redirect($_SERVER['HTTP_REFERER'], 'success', 'Display Name Updated!');
            exit;
        }
    }
}

new MFSDN_Shortcode_Controller();