<?php

class MFSDN_Background_Display_Name extends WP_Background_Process {

    /**
     * @var string
     */
    protected $action = 'MFSDN_Background_Display_Name';

    /**
     * Task
     *
     * Override this method to perform any actions required on each
     * queue item. Return the modified item for further processing
     * in the next pass through. Or, return false to remove the
     * item from the queue.
     *
     * @param mixed $item Queue item to iterate over
     *
     * @return mixed
     */
    protected function task( $item ) {

        error_log($item);
        return false;
    }

    /**
     * Complete
     *
     * Override if applicable, but ensure that the below actions are
     * performed, or, call parent::complete().
     */
    protected function complete() {
        parent::complete();

        $mfsdn_admin_email = get_option('admin_email');
        $mfsdn_subject = "Your user's display names have been modified";
        $mfsdn_headers = 'MIME-Version: 1.0' . "\r\n";
        $mfsdn_headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
        $mfsdn_message = "Hi there,";
        $mfsdn_message .= "<br><br>";
        $mfsdn_message .= "Your users have been modified.";
        $mfsdn_message .= "<br><br>";
        $mfsdn_message .= "MemberFix";

        wp_mail($mfsdn_admin_email,$mfsdn_subject,$mfsdn_message,$mfsdn_headers);
    }

}