<?php

class MFSDN_Helper {
    static function redirect($url, $type = null, $message = null){
        if ($type != null && $message != null){
            setcookie('wppl_redirect_type', $type, time() + 3600, '/');
            setcookie('wppl_redirect_message', $message, time() + 3600, '/');

            return wp_redirect($url);
        }

        return wp_redirect($url);
     }

     static function detect_redirect_message(){
        if(isset($_COOKIE['wppl_redirect_type']) && isset($_COOKIE['wppl_redirect_message'])){
            $type = self::generate_message_class($_COOKIE['wppl_redirect_type']);
            $message = $_COOKIE['wppl_redirect_message'];

            self::show_redirect_message($type, $message);
        }
     }

    static function generate_message_class(string $type){
        switch ($type){
            case 'success':
                return 'wppl-success';
                break;
            case 'alert':
                return 'wppl-alert';
                break;
            case 'error':
                return 'wppl-error';
                break;
        }
     }

     static function show_redirect_message(string $type, string $message){
        ?>
        <div class="wppl-message-container">
            <div class="wppl-notice <?php echo $type; ?>">
                <p><?php echo $message; ?></p>
            </div>
        </div>

        <script>
            document.cookie = "wppl_redirect_type=; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/;";
            document.cookie = "wppl_redirect_message=; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/;";
        </script>
        <?php
    }
}