<?php
/*
Plugin Name: Substitute Display Names
Plugin URI: https://memberfix.rocks
Version: 1.5
Description: Substitutes a default public display name for new and existing users.
Author: MemberFix
Author URI: https://memberfix.rocks
*/

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit;
}

define('MFSDN_SLUG', 'wp-display-name-publicly-as');
define('MFSDN_PLUGIN', WP_PLUGIN_DIR . '/' . MFSDN_SLUG);
define('MFSDN_APP', MFSDN_PLUGIN . '/app');
define('MFSDN_LIB', MFSDN_APP . '/lib');
define('MFSDN_VIEW', MFSDN_APP . '/views');
define('MFSDN_CONTROLLER', MFSDN_APP . '/controllers');
define('MFSDN_URL', plugins_url('/' . MFSDN_SLUG));
define('MFSDN_ASSET', MFSDN_URL . '/assets');

class Substitute_Display_Name{
    public function __construct(){
        $this->version_check();
        $this->load();
    }

    private function version_check(){
        global $wp_version;

        $exit_msg='Substitute Displayname requires WordPress 2.5 or newer.  <a href="http://codex.wordpress.org/Upgrading_WordPress">Please update!</a>';

        if (version_compare($wp_version,"2.5","<")) {
            exit ($exit_msg);
        }
    }

    private function load(){
        // Background Processing
        require(MFSDN_LIB . '/mfsdn_async_request.php');
        require(MFSDN_LIB . '/mfsdn_background_process.php');
        require(MFSDN_LIB . '/mfsdn_background_action.php');

        // Helpers
        require(MFSDN_LIB . '/mfsdn_helper.php');

        // Constrollers
        require(MFSDN_CONTROLLER . '/mfsdn_general_settings_controller.php');
        require(MFSDN_CONTROLLER . '/mfsdn_shortcode_controller.php');

        // Options
        require(MFSDN_LIB . '/mfsdn_options.php');
    }
}

new Substitute_Display_Name();